#include "keymap_common.h"

const uint8_t PROGMEM keymaps[][MATRIX_ROWS][MATRIX_COLS] = {
    /* 0: qerty */
    KEYMAP(ESC,  F1,  F2,  F3,  F4,  F5,  F6,  F7,  F8,  F9,  F10,  F11,  F12,  PSCR,  SLCK,  PAUS,  INS,  DELETE,  PGUP,  PGDN, \
           GRV,  1,  2,  3,  4,  5,  6,  7,  8,  9,  0,  MINS,  EQL,  BSPC,  NLCK,  PSLS,  PAST,  PMNS, \
           TAB,  Q,  W,  E,  R,  T,  Y,  U,  I,  O,  P,  LBRC,  RBRC,  BSLS,  P7,  P8,  P9,  PPLS, \
           CAPS,  A,  S,  D,  F,  G,  H,  J,  K,  L,  SCLN,  QUOT,  ENT,  P4,  P5,  P6, \
           LSFT,  Z,  X,  C,  V,  B,  N,  M,  COMM,  DOT,  SLSH,  RSFT,  UP,  P1,  P2,  P3,  PENT, \
           LCTL,  FN0,  LGUI,  LALT,  NUBS,  SPC,  RALT,  RGUI,  RCTL,  LEFT,  DOWN,  RIGHT,  P0,  PDOT),

    /* 1: FN 1 */
/*    KEYMAP(TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS, \
           TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS, \
           TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS, \
           TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS, \
           TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS, \
           TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS,  TRNS),
*/

};

const uint16_t PROGMEM fn_actions[] = {
/*    [0]  = ACTION_LAYER_TAP_KEY(3, KC_TAB),
    [1]  = ACTION_LAYER_TAP_KEY(1, KC_SPC),
    [2]  = ACTION_LAYER_TAP_KEY(2, KC_SPC),
    [3]  = ACTION_MODS_KEY(MOD_LSFT, KC_GRV),
    [4]  = ACTION_MODS_KEY(MOD_LSFT, KC_1),
    [5]  = ACTION_MODS_KEY(MOD_LSFT, KC_2),
    [6]  = ACTION_MODS_KEY(MOD_LSFT, KC_3),
    [7]  = ACTION_MODS_KEY(MOD_LSFT, KC_4),
    [8]  = ACTION_MODS_KEY(MOD_LSFT, KC_5),
    [9]  = ACTION_MODS_KEY(MOD_LSFT, KC_6),
    [10] = ACTION_MODS_KEY(MOD_LSFT, KC_7),
    [11] = ACTION_MODS_KEY(MOD_LSFT, KC_8),
    [12] = ACTION_MODS_KEY(MOD_LSFT, KC_9),
    [13] = ACTION_MODS_KEY(MOD_LSFT, KC_0),
    [14] = ACTION_MODS_KEY(MOD_LSFT, KC_BSLS),
    [15] = ACTION_MODS_KEY(MOD_LSFT, KC_QUOT),
    [16] = ACTION_MODS_KEY(MOD_LSFT, KC_MINS),
    [17] = ACTION_MODS_KEY(MOD_LSFT, KC_EQL),
    [18] = ACTION_MODS_KEY(MOD_LSFT, KC_LBRC),
    [19] = ACTION_MODS_KEY(MOD_LSFT, KC_RBRC),
    [20] = ACTION_MODS_TAP_KEY(MOD_RSFT, KC_ENT),
*/
};


